> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Status Details

> Gets the status and details of a document processing job given a job id. When you submit documents through our API, each submission creates a job that can be tracked. The job status will always be one of 'PENDING', 'COMPLETED', or 'FAILED'. In general jobs will not fail due to retry policies. However, when a job does show 'FAILED' as the status, please get in touch with our team at support@nectarclimate.com. When the job is completed, this endpoint will also return the ids of processed documents. These document ids represent the successfully processed files and are associated with usage data returned in the usage endpoints. You can use these ids to track the lifecycle of your submitted documents through our system.



## OpenAPI

````yaml /api-reference/openapi-v2-2.json get /job/{job_id}
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.2 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.2
    description: Nectar API Server
security: []
paths:
  /job/{job_id}:
    get:
      tags:
        - Jobs
      summary: Get Job Status Details
      description: >-
        Gets the status and details of a document processing job given a job id.
        When you submit documents through our API, each submission creates a job
        that can be tracked. The job status will always be one of 'PENDING',
        'COMPLETED', or 'FAILED'. In general jobs will not fail due to retry
        policies. However, when a job does show 'FAILED' as the status, please
        get in touch with our team at support@nectarclimate.com. When the job is
        completed, this endpoint will also return the ids of processed
        documents. These document ids represent the successfully processed files
        and are associated with usage data returned in the usage endpoints. You
        can use these ids to track the lifecycle of your submitted documents
        through our system.
      operationId: job_retrieve
      parameters:
        - in: path
          name: job_id
          schema:
            type: string
            format: uuid
          description: ID of the job to retrieve status for.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
      security:
        - ExternalAuthentication: []
components:
  schemas:
    Job:
      type: object
      description: Serializer for the response of job status endpoint.
      properties:
        id:
          type: string
          description: The ID of the job.
          maxLength: 255
        status:
          allOf:
            - $ref: '#/components/schemas/JobStatusEnum'
          description: >-
            The current status of the job, one of: PENDING, COMPLETED,
            TERMINATED, FAILED.If the job status is FAILED, please contact our
            support team.


            * `PENDING` - Pending

            * `COMPLETED` - Completed

            * `FAILED` - Failed
        parsedDocumentIds:
          type: array
          items:
            type: string
          description: >-
            List of document IDs that were processed successfully by the job.
            This is only populated if the job is completed.
        duplicates:
          type: integer
          description: >-
            Number of duplicate files detected by the job. This is only
            populated if the job is completed.
        duplicateDocumentIds:
          type: array
          items:
            type: string
          description: >-
            List of document IDs that were identified as duplicates by the job.
            This is only populated if the job is completed.
        nonUtilityDocumentIds:
          type: array
          items:
            type: string
          description: >-
            List of document IDs that were identified as non-utility documents
            by the job. This is only populated if the job is completed.
        terminationReason:
          type: string
          description: >-
            The reason the job was terminated. This is only populated if the job
            is terminated.
      required:
        - id
        - status
    ErrorResponse:
      type: object
      description: Serializer for error responses.
      properties:
        detail:
          type: string
        error:
          type: string
    JobStatusEnum:
      enum:
        - PENDING
        - COMPLETED
        - FAILED
      type: string
      description: |-
        * `PENDING` - Pending
        * `COMPLETED` - Completed
        * `FAILED` - Failed
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````